Rygel.DataSource.preroll – librygel-server Reference Manual

# preroll

## Description:

public abstract List<HTTPResponseElement>? preroll (HTTPSeekRequest? seek, PlaySpeedRequest? playspeed) throws Error

Preroll the data with the given seek and playspeed.

## Parameters:

seek | optional seek/range specifier
playspeed | optional playback rate specifier. This will only be provided when a scaled rate is requested (the speed will not be 0.0 or 1.0)

## Returns:

List of HTTPResponseElements appropriate for the content request and optional seek/playspeed (e.g. Content-Range, TimeSeekRange.dlna.org, etc) or null/empty list if none are appropriate. Note: the list will be processed in-order by the caller.

## Exceptions:

Error | if anything goes wrong while prerolling the stream. Throws DataSourceError.SEEK_FAILED if a seek method is not supported or the range is not fulfillable. Throws PLAYSPEED_FAILED if the rate is not supported or fulfillable.